Bug 1669359 - AVerMedia cx231xx no device video0
Summary: AVerMedia cx231xx no device video0
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-25 02:35 UTC by piejacker875
Modified: 2019-03-23 06:51 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel: cx231xx 1-4:1.1: V4L2 device video0 deregistered (120.53 KB, text/plain)
2019-01-25 02:35 UTC, piejacker875
no flags Details

Description piejacker875 2019-01-25 02:35:48 UTC
Created attachment 1523397 [details]
kernel: cx231xx 1-4:1.1: V4L2 device video0 deregistered

1. Please describe the problem:
I'm not able to use my "AVerMedia DVD EZMaker 7" USB capture card

it appears in lsusb as
Bus 001 Device 003: ID 07ca:c039 AVerMedia Technologies, Inc.

From the kernel log it looks like the capture device /dev/video0 starts and then fails at usb 1-4: couldn't get decoder output pad for V4L I/O

2. What is the Version-Release number of the kernel:
4.20.3-200.fc29.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
worked in kernel-4.19.15-300.fc29.x86_64, stopped working in 4.20.0-0.rc0.git7.1.fc30.x86_64

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
I had an OBS scene that was already set up to have /dev/video0 as a capture device. When booting up with the new kernel and launching OBS, the capture device outputs nothing, black screen. Usually the device outputs a solid blue screen when it's working and not capturing anything.

/dev/video0 isn't

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
The issue still occurs in 5.0.0-0.rc3.git0.1.fc30.x86_64

6. Are you running any modules that not shipped with directly Fedora's kernel?:
I think I have uinput module enabled

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 meltingrobot 2019-01-27 17:33:31 UTC
Same issue with two different USB tuner cards using the same driver. Hauppauge USB Live 2 and Elgato Video Capture V2.

Comment 2 Dave Krynick 2019-03-23 06:51:48 UTC
Same issue for Diamond One Touch Video Capture 

As a note, the patchwork.kernel.org web site shows a Linux kernel fix. Here is the url (offsite) - https://patchwork.kernel.org/patch/10763655/  However, I've never built a kernel from scratch and have no idea how to set this up and do this in Fedora. However, this information might help someone else work around the problem.


Note You need to log in before you can comment on or make changes to this bug.